baz_radar_detector Class Reference
GNU Radio baz C++ Signal Processing Blocks

radar_detector a stream of floats. More...

`#include <baz_radar_detector.h>`

Inheritance diagram for baz_radar_detector:
[legend]

## Classes

struct | ath5k_radar_error

## Public Member Functions

| ~baz_radar_detector ()
void | set_base_level (float level)
void | set_threshold (float threshold)
void | set_pulse_plateau (float level)
bool | set_param (const std::string &param, float value)
void | skip (int skip)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

BAZ_API baz_radar_detector_sptr | baz_make_radar_detector (int sample_rate, gr::msg_queue::sptr msgq)
| Return a shared_ptr to a new instance of baz_radar_detector.

## Detailed Description

radar_detector a stream of floats.

This uses the preferred technique: subclassing gr_sync_block.

## Constructor & Destructor Documentation

## ~baz_radar_detector()

baz_radar_detector::~baz_radar_detector | ( |  | ) |

## Member Function Documentation

## general_work()

int baz_radar_detector::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## set_base_level()

void baz_radar_detector::set_base_level | ( | float | level | ) |

## set_param()

bool baz_radar_detector::set_param | ( | const std::string & | param,
|  | float | value
| ) |  |

## set_pulse_plateau()

void baz_radar_detector::set_pulse_plateau | ( | float | level | ) |

## set_threshold()

void baz_radar_detector::set_threshold | ( | float | threshold | ) |

## skip()

void baz_radar_detector::skip | ( | int | skip | ) |

## Friends And Related Symbol Documentation

## baz_make_radar_detector

BAZ_API baz_radar_detector_sptr baz_make_radar_detector | ( | int | sample_rate,
|  | gr::msg_queue::sptr | msgq
| ) |  |

friend

Return a shared_ptr to a new instance of baz_radar_detector.

To avoid accidental use of raw pointers, baz_radar_detector's constructor is private. baz_make_block_status is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_radar_detector.h